# Get sent update request

Gets the specified sent update request on the sheet.

Endpoint: GET /sheets/{sheetId}/sentupdaterequests/{sentUpdateRequestId}
Version: 2.0.0
Security: APIToken, OAuth2

## Path parameters:

  - `sheetId` (number, required)
    ID of the sheet being accessed.

  - `sentUpdateRequestId` (string, required)
    ID of the sent update request

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Response 200 fields (application/json):

  - `id` (number)
    The ID of the sent update request.

  - `updateRequestId` (number)
    The ID of the originating update request.

  - `message` (string)
    The message of the email. Max 10000 characters.

  - `sentAt` (any)
    The date and time for when the sent update request was sent to the recipient.

  - `sentBy` (object)
    User object containing name and email of the sender.

  - `sentBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sentBy.name` (string)
    Example: "Jane Doe"

  - `sentTo` (any)
    Recipient object.

  - `status` (string)
    The status of the sent update request.
    Enum: "CANCELED", "COMPLETE", "PENDING"

  - `subject` (string)
    The subject of the email.

  - `columnIds` (array)
    The IDs of columns included in the request.

  - `rowIds` (array)
    The IDs of rows where an update is requested.

  - `includeAttachments` (boolean)
    Indicates whether the attachments were included in the email.

  - `includeDiscussions` (boolean)
    Indicates whether the discussions were included in the email.


